java.lang

## Class StackOverflowError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.VirtualMachineError
      - - java.lang.StackOverflowError

All Implemented Interfaces:
  Serializable

    public class StackOverflowError
    extends VirtualMachineError

Thrown when a stack overflow occurs because an application recurses too deeply.

Since:
  JDK1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StackOverflowError()` Constructs a `StackOverflowError` with no detail message.
`StackOverflowError(String s)` Constructs a `StackOverflowError` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StackOverflowError

    public StackOverflowError()

Constructs a `StackOverflowError` with no detail message.

#### StackOverflowError

    public StackOverflowError(String s)

Constructs a `StackOverflowError` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.